﻿<%@ Page Title="About AzureProviders" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="About.aspx.cs" Inherits="WebPages.About" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        About AzureProviders
    </h2>
    <p>
        AzureProviders is a complete ASP.NET solution that uses the Azure Table Storage and Azure Blob storage as a data source for a custom Membership, Role, Profile, an Session-State providers. Developed in C# on the .NET 4 framework using Azure SDK V1.5. Get up and running with Azure in no time.
    </p>
    <p>
        Community project; let me know if you want to contribute.    
    </p>
    <p>
        <b>Features</b>
        <ul>
            <li> Complete membership provider that stores data in the Azure Table Storage
            <li> Complete role provider that stores data in the Azure Table Storage
            <li> Complete profile provider that stores data in the Azure Table Storage and Blob Storage
            <li> Complete Session-State Provider that uses the Azure Table Storage so that you can maintain session-state between server instances in the Azure cloud
            <li> Worker Role that cleans up expired session-state date from the Azure Table Storage
            <li> Multithreaded worker role; each worker runs in its own thread
            <li> Worker role are monitored and automatically restarted if they go down
            <li> Worker role implement a back-off pattern to potentially save processing time costs
            <li> <b>[New]</b> Azure Diagnostics logging to the Azure Table and Blob Storage for:
            <ul>
                <li>Windows Application Log events
                <li>Windows System Log events
                <li>Directories
                <li>Infrastructure logs
                <li>Performance counters
                <li>Trace logs
            </ul>
            <li> All e-mail sent from the application is handled by a worker role that picks e-mails from the Azure Queue 
            <li> Register account page with e-mail confirmation and Question/Answer
            <li> Sign In page with automatic locking after too many failed attempts
            <li> Sign Out page
            <li> Change Password page with e-mail confirmation
            <li> Reset Password page where new password is sent to e-mail account
            <li> Locked account functionality where user can unlock account using link sent to users e-mail account
            <li> User e-mail validation by using link sent after account validation, account is not activated before e-mail is validated
            <li> User profile page where user can set his/her gender and upload a profile image that is stored as a Azure Blob 
            <li> Automatic thumbnail creation
            <li> Admin page that shows an overview of all the roles
            <li> Admin page that shows some site statistics
            <li> Admin page that shows an overview of all the users
        </ul>
    </p>
    <p>
        <a href="http://meronymy.blogspot.com/">Developer blog</a><br />
        <a href="http://twitter.com/ihenriksen">Developer Twitter account</a>
    </p>
</asp:Content>
